org.red5.server.net.servlet

## Class RedirectHTTPServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.red5.server.net.servlet.RedirectHTTPServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class RedirectHTTPServlet
    extends javax.servlet.http.HttpServlet

Servlet to redirect to HTTP port of Red5.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RedirectHTTPServlet()`

### Method Summary

Methods
`protected void` `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)` Redirect to HTTP port.

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedirectHTTPServlet

    public RedirectHTTPServlet()

### Method Detail

#### service

    protected void service(javax.servlet.http.HttpServletRequest req,
               javax.servlet.http.HttpServletResponse resp)
                    throws javax.servlet.ServletException,
                           IOException

Redirect to HTTP port.

Overrides:
  `service` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`